﻿using System;
using System.Collections.Generic;
namespace MySystem
{
    public class Brand
    {
        public int Id { get; set; } //品牌ID
        public string QueueName { get; set; } //队列名称
        public List<FieldRelationTable> FieldRelation { get; set; } //字段对应关系
        public string TargetTableName { get; set; } //目标表
        public int DataType { get; set; } //数据类型，通过此属性判断操作相应的表，如：激活=1，交易=2，流量卡分佣交易=3，绑定=4，首刷=5，免押=6，返押=7，商户注册=8，商户在网达标=9
        public string ReqType { get; set; } //请求方式，api、ftp
        public string Url { get; set; } //请求地址
        public string ReqParam { get; set; } //请求参数

        public string FtpUserName { get; set; } //ftp账号
        public string FtpPassword { get; set; } //ftp密码
        public string CheckKey { get; set; } //要匹配的字段
    }


    public class FieldRelationTable
    { 
        public string SourceFieldName { get; set; } //来源字段名（第三方字段）
        public string TargetFieldName { get; set; } //目标字段名
        public string TargetFieldType { get; set; } //目标字段类型
    }
}