﻿using System;
using System.Collections.Generic;

namespace MySystem.Models
{
    public partial class OpenSnSnapshot
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public int TopUserId { get; set; }
        public string UserNav { get; set; }
        public string FailReason { get; set; }
        public decimal RewardAmount { get; set; }
        public int StdBuySnNum { get; set; }
        public int BuySnNum { get; set; }
        public string OpenDetailRec { get; set; }
        public string Remark { get; set; }
        public string RewardDesc { get; set; }
        public string OpenRewardNo { get; set; }
        public decimal DebitRewardAmount { get; set; }
        public decimal CreditRewardAmount { get; set; }
        public decimal DebitTradeAmt { get; set; }
        public decimal CreditTradeAmt { get; set; }
        public string RewardTips { get; set; }
        public int RewardType { get; set; }
        public int MerUserType { get; set; }
        public int SnStoreId { get; set; }
        public DateTime? StandardDate { get; set; }
        public int SnApplyUserId { get; set; }
        public int SnType { get; set; }
        public string MerNo { get; set; }
        public string SnNo { get; set; }
        public int DirectUserId { get; set; }
        public int MerchantId { get; set; }
        public int BrandId { get; set; }
        public int UserId { get; set; }
        public DateTime? TradeDate { get; set; }
        public string TradeMonth { get; set; }
    }
}
