﻿using System;
using System.Collections.Generic;

namespace MySystem.Models
{
    public partial class ProfitObjectActivations
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public string Code { get; set; }
        public DateTime? EndDate { get; set; }
        public DateTime? StartDate { get; set; }
        public int MachineCount { get; set; }
        public decimal ProfitNumber { get; set; }
        public int ObjectId { get; set; }
        public decimal ExpiredNumber { get; set; }
        public DateTime? LimitCustomerDate { get; set; }
        public int LimitDateVal { get; set; }
        public int LimitDateKind { get; set; }
    }
}
