﻿using System;
using System.Collections.Generic;

namespace MySystem.MpMainModels2
{
    public partial class Users
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public string AgentAreas { get; set; }
        public int AgentLevel { get; set; }
        public string SettleBankCardName { get; set; }
        public DateTime? CertValidEndDate { get; set; }
        public DateTime? CertValidStartDate { get; set; }
        public DateTime? CitySetDate { get; set; }
        public decimal ProfitRewardRate { get; set; }
        public decimal ActiveRewardAmount { get; set; }
        public decimal CashFreezeAmt { get; set; }
        public decimal SettleAmount { get; set; }
        public string MakerCode { get; set; }
        public string HandPwd { get; set; }
        public string Remark { get; set; }
        public string BankCardPositiveImage { get; set; }
        public string HandCertImage { get; set; }
        public string CertReverseImage { get; set; }
        public string CertFrontImage { get; set; }
        public string DeviceToken { get; set; }
        public string DeviceId { get; set; }
        public DateTime? ExpiredDate { get; set; }
        public string AccessToken { get; set; }
        public string SettleRemark { get; set; }
        public string RreezeRemark { get; set; }
        public string RiskRemark { get; set; }
        public ulong RiskFlag { get; set; }
        public DateTime? AuthDate { get; set; }
        public ulong AuthFlag { get; set; }
        public ulong LockStatus { get; set; }
        public int AuditStatus { get; set; }
        public int LoginStatus { get; set; }
        public DateTime? MerchantDate { get; set; }
        public int MerchantType { get; set; }
        public int UserProperty { get; set; }
        public int UserType { get; set; }
        public string SignImgUrl { get; set; }
        public string ReferenceQrCode { get; set; }
        public string CardRecCode { get; set; }
        public int ReferralUserId { get; set; }
        public string ReferenceCode { get; set; }
        public string SettleBankName { get; set; }
        public string SettleBankCardNo { get; set; }
        public string IdCardEndNo { get; set; }
        public ulong IsNewUser { get; set; }
        public string AlipayUserId { get; set; }
        public string OpenId { get; set; }
        public string CarIds { get; set; }
        public string PayPwd { get; set; }
        public string LoginPwd { get; set; }
        public string ParentNav { get; set; }
        public string Tags { get; set; }
        public string GroupId { get; set; }
        public string Mobile { get; set; }
        public string CardNo { get; set; }
        public int UserLevel { get; set; }
        public int ParentUserId { get; set; }
        public string HeadPhoto { get; set; }
        public string Address { get; set; }
        public string Areas { get; set; }
        public string CertId { get; set; }
        public int Sex { get; set; }
        public string RealName { get; set; }
        public string NickName { get; set; }
        public int CashStatus { get; set; }
        public string CashNote { get; set; }
        public decimal ThisMonthTrade { get; set; }
        public int LeaderLevel { get; set; }
        public int BusinessFlag { get; set; }
        public decimal ValidAmount { get; set; }
        public string DeviceType { get; set; }
        public DateTime? HelpProfitAgreeDate { get; set; }
        public ulong HelpProfitAgree { get; set; }
        public string SignPic { get; set; }
        public DateTime? SignDate { get; set; }
        public ulong IsSign { get; set; }
        public DateTime? CreateStoreDate { get; set; }
        public int StoreStock { get; set; }
        public int ThisMonthSend { get; set; }
    }
}
