﻿using System;
using System.Collections.Generic;

namespace MySystem.PxcModels
{
    public partial class StoreChangeHistory
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public int StoreId { get; set; }
        public int SourceStoreId { get; set; }
        public string ToRemark { get; set; }
        public DateTime? ToDate { get; set; }
        public int ToStoreId { get; set; }
        public int ToUserId { get; set; }
        public string FromRemark { get; set; }
        public DateTime? FromDate { get; set; }
        public int FromUserId { get; set; }
        public string DeviceModel { get; set; }
        public string DeviceType { get; set; }
        public string DeviceVendor { get; set; }
        public int StockOpDirect { get; set; }
        public int SnType { get; set; }
        public string SnNo { get; set; }
        public int TransType { get; set; }
        public string BizBatchNo { get; set; }
        public string ChangeRecordNo { get; set; }
        public int BrandId { get; set; }
        public int UserId { get; set; }
        public int OpId { get; set; }
    }
}
