﻿using System;
namespace MySystem
{
    public class ProfitResult
    {
        public int UserId { get; set; }
        public decimal Money { get; set; }
        public int MachineCount { get; set; }
        public string UserNav { get; set; }
        public string Message { get; set; }
        public int BankCardType { get; set; }
        public int QrPayFlag { get; set; }
        public int DirectFlag { get; set; }
        public int BrandId { get; set; }
        public int IsSubsidy { get; set; } //是否补贴
        public int HelpFlag { get; set; }
        public int MerchantId { get; set; }
        public decimal TradeAmount { get; set; }
        public string PosSn { get; set; }
        public decimal ProfitRate { get; set; } //创客预设分润比例
        public decimal ProfitPercent { get; set; } //创客预设分润百分比
        public decimal AddOrSubRate { get; set; } //浮动空间
        public decimal ProfitRateBase { get; set; } //分润比例基数
    }

    public class ActiveCheckData
    {
        public string TableName { get; set; }
        public string StatField { get; set; }
        public string CheckField { get; set; }
        public string OtherCondition { get; set; }
        public int StartId { get; set; }
    }
}