﻿using System;
using System.Collections.Generic;

namespace MySystem.Models
{
    public partial class ProfitRecord
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public int TradeId { get; set; }
        public string ParentNav { get; set; }
        public string Remark { get; set; }
        public int BrandId { get; set; }
        public ulong DirectFlag { get; set; }
        public int CapFlag { get; set; }
        public int QrPayFlag { get; set; }
        public decimal ProfitAmount { get; set; }
        public DateTime? ClearDate { get; set; }
        public DateTime? TradeDate { get; set; }
        public string SnNo { get; set; }
        public int MerBuddyType { get; set; }
        public int HelpMonthCount { get; set; }
        public ulong MerHelpFlag { get; set; }
        public string MerNo { get; set; }
        public int MerchantId { get; set; }
        public int UserId { get; set; }
    }
}
