﻿using System;
using System.Collections.Generic;

namespace MySystem.Models
{
    public partial class UserCashRecordForBusiness
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public string Remark { get; set; }
        public string MediaSource { get; set; }
        public string Ip { get; set; }
        public DateTime? PaymentDate { get; set; }
        public string ReturnMsg { get; set; }
        public string ReturnCode { get; set; }
        public string ResData { get; set; }
        public string ReqData { get; set; }
        public decimal ManageFee { get; set; }
        public decimal TradeFee { get; set; }
        public decimal ActualTradeAmount { get; set; }
        public decimal TradeAmount { get; set; }
        public string ChanelName { get; set; }
        public string ChannelCode { get; set; }
        public string PayTradeNo { get; set; }
        public int TradeType { get; set; }
        public string SettleBankName { get; set; }
        public string SettleBankCardNo { get; set; }
        public string IdCardNo { get; set; }
        public int UserId { get; set; }
        public string CashOrderNo { get; set; }
    }
}
