﻿using System;
using System.Collections.Generic;

namespace MySystem.MpMainModels
{
    public partial class KqProductRuleSet
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public decimal FeeRate { get; set; }
        public decimal FeeFixed { get; set; }
        public int FeeBindDays { get; set; }
        public decimal HelpSteadyFee { get; set; }
        public decimal HelpFee { get; set; }
        public int HelpMonths { get; set; }
        public DateTime? HelpEndDate { get; set; }
        public DateTime? HelpStartDate { get; set; }
        public decimal FlowCardDirectProfit { get; set; }
        public DateTime? FeeOfDays { get; set; }
        public decimal FlowCardFee { get; set; }
        public int FlowCardFreeDays { get; set; }
        public DateTime? FlowCardEndDate { get; set; }
        public DateTime? FlowCardStartDate { get; set; }
        public DateTime? SubsidyEndDate { get; set; }
        public DateTime? SubsidyStartDate { get; set; }
        public int BigExtendCycleDays { get; set; }
        public decimal BigTotalAmount { get; set; }
        public int PullNewExtendDays { get; set; }
        public DateTime? PullNewEndDate { get; set; }
        public DateTime? PullNewStartDate { get; set; }
        public int CyclePosDays { get; set; }
        public ulong CycleIsOther { get; set; }
        public DateTime? CycleEndDate { get; set; }
        public DateTime? CycleStartDate { get; set; }
        public decimal OpenStaPrize2 { get; set; }
        public decimal OpenStaPrize { get; set; }
        public decimal OpenStaTrade { get; set; }
        public int OpenStaDays { get; set; }
        public DateTime? OpenEndDate { get; set; }
        public DateTime? OpenStartDate { get; set; }
        public int ActPosCount { get; set; }
        public decimal ActPrize { get; set; }
        public decimal ActFirstDeposit { get; set; }
        public decimal ActFirst { get; set; }
        public decimal ActDeposit { get; set; }
        public DateTime? ActEndDate { get; set; }
        public DateTime? ActStartDate { get; set; }
        public decimal MerStaTradeForMonth { get; set; }
        public int MerStaMonths { get; set; }
        public decimal MerStaProfit { get; set; }
        public DateTime? MerStaEndDate { get; set; }
        public DateTime? MerStaStartDate { get; set; }
        public decimal ActivePrice { get; set; }
        public int ActiveCount { get; set; }
        public decimal Deposit { get; set; }
        public int OrgId { get; set; }
    }
}
