﻿using System;
using System.Collections.Generic;

namespace MySystem.MpMainModels2
{
    public partial class MerchantAddInfo
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public DateTime? CardPeriodEnd { get; set; }
        public DateTime? CardPeriodBegin { get; set; }
        public string IdCardNumber { get; set; }
        public string IdCardName { get; set; }
        public string IdCardNational { get; set; }
        public string IdCardCopy { get; set; }
        public string AuditDetail { get; set; }
        public string ApplymentState { get; set; }
        public string SignUrl { get; set; }
        public string SubMchid { get; set; }
        public string ApplymentId { get; set; }
        public string AccountNumber { get; set; }
        public string BankName { get; set; }
        public string BankBranchId { get; set; }
        public string BankAddressCode { get; set; }
        public string AccountBank { get; set; }
        public string AccountName { get; set; }
        public string BankAccountType { get; set; }
        public string ActivitiesRate { get; set; }
        public string ActivitiesId { get; set; }
        public string Qualifications { get; set; }
        public string QualificationType { get; set; }
        public string SettlementId { get; set; }
        public string WeworkPics { get; set; }
        public string SubCorpId { get; set; }
        public string WebAppId { get; set; }
        public string WebAuthorisation { get; set; }
        public string WebDomain { get; set; }
        public string AppPics { get; set; }
        public string AppSubAppid { get; set; }
        public string AppAppid { get; set; }
        public string MiniProgramPics { get; set; }
        public string MiniProgramSubAppid { get; set; }
        public string MiniProgramAppid { get; set; }
        public string MpPics { get; set; }
        public string MpSubAppid { get; set; }
        public string MpAppid { get; set; }
        public string BizSubAppid { get; set; }
        public string IndoorPic { get; set; }
        public string StoreEntrancePic { get; set; }
        public string BizStoreAddress { get; set; }
        public string BizAddressCode { get; set; }
        public string BizStoreName { get; set; }
        public string SalesScenesType { get; set; }
        public string ServicePhone { get; set; }
        public string MerchantShortname { get; set; }
        public DateTime? UboInfoIdPeriodEnd { get; set; }
        public DateTime? UboInfoIdPeriodBegin { get; set; }
        public string UboInfoIdNumber { get; set; }
        public string UboInfoName { get; set; }
        public string UboInfoIdDocCopy { get; set; }
        public string UboInfoIdCardNational { get; set; }
        public string UboInfoIdCardCopy { get; set; }
        public string UboInfoIdType { get; set; }
        public ulong Owner { get; set; }
        public string IdDocType { get; set; }
        public string CertificateLetterCopy { get; set; }
        public DateTime? OrgPeriodEnd { get; set; }
        public DateTime? OrgPeriodBegin { get; set; }
        public string OrganizationCode { get; set; }
        public string OrganizationCopy { get; set; }
        public DateTime? PeriodEnd { get; set; }
        public DateTime? PeriodBegin { get; set; }
        public string CertLegalPerson { get; set; }
        public string CompanyAddress { get; set; }
        public string CertMerchantName { get; set; }
        public string CertNumber { get; set; }
        public string CertType { get; set; }
        public string CertCopy { get; set; }
        public string LegalPerson { get; set; }
        public string LicenseNumber { get; set; }
        public string LicenseCopy { get; set; }
        public string SubjectType { get; set; }
        public string ContactEmail { get; set; }
        public string MobilePhone { get; set; }
        public string OpenId { get; set; }
        public string ContactIdNumber { get; set; }
        public string ContactName { get; set; }
        public string BusinessCode { get; set; }
        public string IdCardAddress { get; set; }
        public string WeChatRemark { get; set; }
        public string AlipayRemark { get; set; }
        public string WeChatSignUrl { get; set; }
        public string AlipaySignUrl { get; set; }
        public string AlipayAuthToken { get; set; }
        public string AlipayPid { get; set; }
        public string Extra1 { get; set; }
        public string FaceRecognition { get; set; }
        public string IndustryLicense1 { get; set; }
        public string TaxImage { get; set; }
        public string Agreement { get; set; }
        public string ProductImg { get; set; }
        public string CheckstandImg { get; set; }
        public string ShopFrontImg { get; set; }
        public string Support { get; set; }
        public string SignaturePicture { get; set; }
        public string AgentIdCardBack { get; set; }
        public string AgentIdCardFront { get; set; }
        public string AgentCardIdPicture { get; set; }
        public string HoldAgentProtocol { get; set; }
        public string AgentProtocol { get; set; }
        public string OperatorMcht { get; set; }
        public string RentAgreement { get; set; }
        public string OpenAccountLicenses { get; set; }
        public string ChannelKind { get; set; }
        public string TakeCreditCard { get; set; }
        public string BankCard { get; set; }
        public string PersonWithIdCard { get; set; }
        public string BusinessId { get; set; }
        public string AreaNo { get; set; }
        public string OpenUnionNo { get; set; }
        public string OpenCollectBankCode { get; set; }
        public string OpenBankRegionCode { get; set; }
        public string OpenBankAccout { get; set; }
        public string OpenBankAccName { get; set; }
        public string ZbankRegionCode { get; set; }
        public string ZbankNo { get; set; }
        public string AccountType { get; set; }
        public string LicenceType { get; set; }
        public string ResserveMobile { get; set; }
        public string MchtNo { get; set; }
        public string ToAcctNo { get; set; }
        public int OpenAct { get; set; }
        public string StoreNo { get; set; }
        public string OutMchtNo { get; set; }
        public string AliMerchantId { get; set; }
        public string WeChatMerchantId { get; set; }
        public int HdStatus { get; set; }
        public DateTime? HdPassDate { get; set; }
        public ulong HdBindWeChat { get; set; }
        public string MerchantType { get; set; }
    }
}
