﻿using System;
using System.Collections.Generic;

namespace MySystem.PxcModels
{
    public partial class Orders
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public string RefundReason { get; set; }
        public decimal ChannelAmount { get; set; }
        public string StoreContactMobile { get; set; }
        public string SnNos { get; set; }
        public string Remark { get; set; }
        public int BuyCount { get; set; }
        public int PayStatus { get; set; }
        public int TopUserId { get; set; }
        public int StoreUserId { get; set; }
        public int StoreType { get; set; }
        public string StoreContact { get; set; }
        public int ProductId { get; set; }
        public int SendStatus { get; set; }
        public string ReturnCode { get; set; }
        public string ReturnMsg { get; set; }
        public string ResData { get; set; }
        public string ReqData { get; set; }
        public int DeliveryType { get; set; }
        public decimal RefundFeeAmount { get; set; }
        public decimal RefundActAmount { get; set; }
        public int RefundStatus { get; set; }
        public int StoreId { get; set; }
        public decimal ActualPay { get; set; }
        public DateTime? AutoConfirmDate { get; set; }
        public decimal CouponMoney { get; set; }
        public string TradeNo { get; set; }
        public decimal Integral { get; set; }
        public decimal ErpPrice { get; set; }
        public int MerchantId { get; set; }
        public int PayMode { get; set; }
        public DateTime? ConfirmDate { get; set; }
        public DateTime? SendDate { get; set; }
        public DateTime? PayDate { get; set; }
        public string ErpCode { get; set; }
        public string ErpName { get; set; }
        public int CouponId { get; set; }
        public string UserMessage { get; set; }
        public int ErpMode { get; set; }
        public string PostalCode { get; set; }
        public string Address { get; set; }
        public string Areas { get; set; }
        public decimal TotalPrice { get; set; }
        public string Mobile { get; set; }
        public string RealName { get; set; }
        public string OrderNo { get; set; }
        public int UserId { get; set; }
        public int ParentOrderId { get; set; }
        public int OpId { get; set; }
    }
}
