﻿using System;
using System.Collections.Generic;

namespace MySystem.PxcModels
{
    public partial class ProfitRewardRecord
    {
        public int Id { get; set; }
        public int Sort { get; set; }
        public int QueryCount { get; set; }
        public int Status { get; set; }
        public int Version { get; set; }
        public DateTime? CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string CreateMan { get; set; }
        public string UpdateMan { get; set; }
        public string SeoTitle { get; set; }
        public string SeoKeyword { get; set; }
        public string SeoDescription { get; set; }
        public int TopUserId { get; set; }
        public string RecordNo { get; set; }
        public string TradeMonth { get; set; }
        public string Remark { get; set; }
        public int CheckStatus { get; set; }
        public decimal QrDebitAddOrSubRate { get; set; }
        public decimal QrDebitProfitStandardRate { get; set; }
        public decimal QrDebitProfitRate { get; set; }
        public decimal QrCreditAddOrSubRate { get; set; }
        public decimal QrCreditProfitStandardRate { get; set; }
        public decimal QrCreditProfitRate { get; set; }
        public decimal DebitCapSingleReward { get; set; }
        public decimal HelpDebitAddOrSubRate { get; set; }
        public decimal HelpDebitProfitStandardRate { get; set; }
        public decimal HelpDebitProfitRate { get; set; }
        public decimal NotHelpDebitAddOrSubRate { get; set; }
        public decimal NotHelpDebitProfitStandardRate { get; set; }
        public decimal NotHelpDebitProfitRate { get; set; }
        public decimal HelpCreditAddOrSubRate { get; set; }
        public decimal HelpCreditProfitStandardRate { get; set; }
        public decimal HelpCreditProfitRate { get; set; }
        public decimal NotHelpCreditAddOrSubRate { get; set; }
        public decimal NotHelpCreditProfitStandardRate { get; set; }
        public decimal NotHelpCreditProfitRate { get; set; }
        public decimal DebitTradeCapProfit { get; set; }
        public decimal HelpDebitNonTradeCapProfit { get; set; }
        public decimal NotHelpDebitNonTradeCapProfit { get; set; }
        public decimal NonQrDebitNonTradeCapProfit { get; set; }
        public decimal QrDebitNonTradeCapProfit { get; set; }
        public decimal DebitNonTradeCapProfit { get; set; }
        public decimal HelpCreditTradeProfit { get; set; }
        public decimal NotHelpCreditTradeProfit { get; set; }
        public decimal NonQrCreditTradeProfit { get; set; }
        public decimal QrCreditTradeProfit { get; set; }
        public decimal CreditTradeProfit { get; set; }
        public decimal TradeProfit { get; set; }
        public int DebitCapTradeNum { get; set; }
        public decimal DebitCapTradeAmt { get; set; }
        public decimal HelpDebitNonCapTradeAmt { get; set; }
        public decimal NotHelpDebitNonCapTradeAmt { get; set; }
        public decimal NonQrDebitNotCapTradeAmt { get; set; }
        public decimal QrDebitNotCapTradeAmt { get; set; }
        public decimal DebitNonCapTradeAmt { get; set; }
        public decimal HelpCreditTradeAmt { get; set; }
        public decimal NotHelpCreditTradeAmt { get; set; }
        public decimal NonQrCreditTradeAmt { get; set; }
        public decimal QrCreditTradeAmt { get; set; }
        public decimal CreditTradeAmt { get; set; }
        public decimal TradeAmt { get; set; }
        public decimal OtherDebitNotCapTradeAmt { get; set; }
        public decimal OtherCreditTradeAmt { get; set; }
        public decimal OtherTradeAmt { get; set; }
        public int ProfitType { get; set; }
        public int BrandId { get; set; }
        public int MerchantId { get; set; }
        public int UserId { get; set; }
        public decimal ProfitDebitProfitRate { get; set; }
        public decimal ProfitCreditProfitRate { get; set; }
        public decimal ProfitDebitNonTradeCapProfit { get; set; }
        public decimal ProfitCreditTradeProfit { get; set; }
        public decimal ProfitDebitNonCapTradeAmt { get; set; }
        public decimal ProfitCreditTradeAmt { get; set; }
        public decimal ProfitCreditTradeAmt2 { get; set; }
        public decimal ProfitCreditProfitRate2 { get; set; }
        public decimal ProfitCreditTradeProfit2 { get; set; }
    }
}
